Expose eager-zeroing for vSphere volumes
Status: Closed   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version: 1.6.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1708

  

Description

From https://github.com/theforeman/foreman/issues/1382

I quickly hacked app/views/compute_resources_vms/form/vmware/_volume.html.erb so the last lines are:

 
  <%= checkbox_f f, :thin, {

             :label => _("Thin provision"),

             :class => 'disable-unsupported'},

             "true",

             "false" %>

  <%= checkbox_f f, :eager_zero, {

             :label => "Eager zero",

             :class => 'disable-unsupported',

             :help_inline => remove_child_link("X", f, { :method => :'_delete', :title => _('remov

e volume'), :class => 'label label-danger disable-unsupported' })},

             "true",

             "false" %>

</div>

 Hacked because I didn't bother with the label localization.

It doesn't work out of the box yet because of a bug in fog (https://github.com/fog/fog/issues/2857) but at least with both fixes my

SAN admin is happy now :)

Sorry for not supplying a PR. Hope it's trivial enough for someone to do (properly).

Associated revisions

Revision 4c879875 - 08/27/2014 03:43 AM - Michael Moll 

fixes #5240 - expose eager-zeroing for vSphere

Revision 39af1c6c - 08/27/2014 08:02 AM - Michael Moll 

fixes #5240 - expose eager-zeroing for vSphere

(cherry picked from commit 4c879875a1ff5b8cd2e506982acc88cbb3d2a0f3)

History

#1 - 08/21/2014 12:34 PM - Anonymous

- Category changed from Compute resources to Compute resources - VMware

- Target version set to 1.7.4

- Assignee set to Anonymous
#2 - 08/22/2014 09:43 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1708 added

- Pull request deleted ()

#3 - 08/27/2014 03:46 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 08/27/2014 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4c879875a1ff5b8cd2e506982acc88cbb3d2a0f3.
